KDE 4.7 PyKDE API Reference

- KDE's Python API

# KMessageHandler Class Reference

`from PyKDE4.kdecore import *`

## Detailed Description

\class KMessageHandler kmessage.h <KMessageHandler>

Abstract class for KMessage handler. This class define how KMessage display a message.

Reimplement the virtual methods then set your custom KMessageHandler using KMessage.setMessageHandler()

Author:
  Michaël Larouche <michael.larouche@kdemail.net>

## Methods
| message (self, KMessage.MessageType type, QString text, QString caption)

## Method Documentation

message | ( | self, |
|  | KMessage.MessageType | type,
|  | QString | text,
|  | QString | caption
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Display a long message of a certain type. A long message span on multiple lines and can have a caption.

Parameters:

  | type | Currrent type of message. See MessageType enum.
  | text | Long message to be displayed.
  | caption | Caption to be used. This is optional.